Delete data source
Cascade-deletes all fields, child monitors (with their check results and alert rules), and the fetch log before removing the source.
DELETE
/data-sources/{id}
Cascade-deletes all fields, child monitors (with their check results and alert rules), and the fetch log before removing the source.
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Responses
200
Source deleted
application/jsondata
object
id
string
REQUIRED
deleted
boolean
REQUIRED
Enum:
true
404
Not found
curl -X DELETE 'https://happyuptime.com/api/v1/data-sources/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/data-sources/string', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://happyuptime.com/api/v1/data-sources/string', headers=headers)print(response.json())
200
Response
{ "data": { "id": "<string>", "deleted": true }}
API Playground
Try this endpoint
DELETE
/data-sources/{id}